<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body" n:snippet="snipForm">
                {form form class => 'ajax'}
                    <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                    <div class="row form-group" n:foreach="$form['privilege']->getComponents() as $privilege">
                        <div class="col-12 text-primary font-weight-bold">{label $privilege /}
                            <div class="d-block d-md-inline mb-2 mb-md-0 text-muted font-weight-lighter"><span
                                        class="d-none d-md-inline"> - </span>{_$privilege->getControlPrototype()->attrs['data-description']}
                            </div>
                        </div>

                        <div class="col-4 col-lg-3 col-xl-2" n:foreach="$privilege->getItems() as $key => $label">

                            <div class="custom-control custom-checkbox">
                                {input $privilege:$key class => "custom-control-input"}
                                {label $privilege:$key class => "custom-control-label" /}
                            </div>
                        </div>
                    </div>

                    {input send class => 'btn btn-primary w-100 w-md-auto mb-2'}
                    {input sendBack class => 'btn btn-outline-primary w-100 w-md-auto mb-2'}
                    {input back class => 'btn btn-light w-100 w-md-auto mb-2'}
                {/form}
            </div>
        </div>
    </div>

</div>